Summary:	Printer driver for the Lexmark Z42, Z43 and Z52 printer
Name: 		drv_z42
Version:	0.4.3
Release:	%mkrel 13
License:	GPLv2+
Group:		System/Printing
URL:		http://www.openprinting.org/driver/drv_z42/
Source:		http://www.openprinting.org/download/printing/%{name}-%{version}.tar.bz2
Source1:	z42-2.png
BuildRequires:	gtk+2-devel
BuildRequires:	imagemagick

%description
Driver for the Lexmark printers Z42, Z43, Z52, X73 and the Compaq IJ1200.

%package -n	z42tool
Summary:	GUI for Lexmark printer maintence
Group:		System/Printing
Requires:	%{name} = %{version}

%description -n	z42tool
GUI tool to configure the Lexmark printers Z42, Z43, Z52, X73 and the Compaq
IJ1200.

%prep

%setup -q -n %{name}

%build
pushd src
%{__cc} %{optflags} %{ldflags} -o z42_cmyk z42_cmyk.c
popd

pushd z42tool
%configure2_5x
%make
popd

%install
rm -rf %{buildroot}

install -d %{buildroot}%{_bindir}

pushd src
    install -m0755 z42_cmyk %{buildroot}%{_bindir}
popd

pushd z42tool
    %makeinstall_std
popd

# icon
install -d %{buildroot}%{_miconsdir}
install -d %{buildroot}%{_iconsdir}
install -d %{buildroot}%{_liconsdir}

convert %SOURCE1 -resize 16x16  %{buildroot}%{_miconsdir}/z42tool.png
convert %SOURCE1 -resize 32x32  %{buildroot}%{_iconsdir}/z42tool.png
convert %SOURCE1 -resize 48x48  %{buildroot}%{_liconsdir}/z42tool.png

# XDG menu
install -d %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{_real_vendor}-z42tool.desktop << EOF
[Desktop Entry]
Name=Lexmark printer manager
Comment=Status, alignment, cartridge maintenance
Exec=z42tool
Icon=z42tool
Terminal=false
Type=Application
Categories=System;Monitor;
EOF

%clean
rm -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%doc COPYING ChangeLog FAQ README
%attr(0755,root,root) %{_bindir}/z42_cmyk

%files -n z42tool
%defattr(0644,root,root,0755)
%doc z42tool/README
%{_datadir}/z42tool
%attr(0755,root,root) %{_bindir}/z42tool
%{_iconsdir}/*.png
%{_miconsdir}/*.png
%{_liconsdir}/*.png
%{_datadir}/applications/*.desktop




%changelog

* Fri Jan 11 2013 umeabot <umeabot> 0.4.3-13.mga3
+ Revision: 349128
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Apr 27 2011 wally <wally> 0.4.3-12.mga1
+ Revision: 92038
- fix desktop file name (mga#954)
- fix source and url tags (source code is re-hosted at OpenPrinting)
- use OpenPrinting provided source tarball
- fix license
- fis exec line in desktop file

* Wed Feb 23 2011 ennael <ennael> 0.4.3-11.mga1
+ Revision: 58027
- clean spec file
- imported package drv_z42

